Page MenuHomePhabricator

AMDGPU: Make HIPToolChain a subclass of ROCMToolChain
ClosedPublic

Authored by arsenm on Mar 26 2020, 1:40 PM.

Details

Summary

This fixes some code duplication. This is also a step towards
consolidating builtin library handling.

Diff Detail

Event Timeline

arsenm created this revision.Mar 26 2020, 1:40 PM
yaxunl added inline comments.Mar 27 2020, 8:18 PM
clang/lib/Driver/ToolChains/HIP.cpp
271

I did not see ROCMToolChain in clang trunk. Is it in another patch?

yaxunl accepted this revision.Mar 30 2020, 9:54 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Mar 30 2020, 9:54 AM
arsenm closed this revision.Mar 31 2020, 3:26 PM

175e42303bb2a4253c65126666b1ae05b32b0004, rebased to avoid dependence on ROCM toolchain patch